#AutoIt3Wrapper_UseX64=n
#AutoIt3Wrapper_AU3Check_Parameters= -d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=Y
#include-once
#include <ExcelChart.au3>

; *****************************************************************************
; Create example environment
; *****************************************************************************
Global $aExcel = _XLChart_Example(True, 0, -1, -1, -1)
If @error = 2  Then Exit MsgBox(16, "Excel Chart Example Script", "The installed Excel version is not supported by this UDF!" & @CRLF & "Version must be >= 12 (Excel 2007).")
If @error <> 0 Then Exit MsgBox(16, "Excel Chart Example Script", "Error " & @error & " returned by _XLChart_Example on line " & @ScriptLineNumber)

; *****************************************************************************
; Example 1
; Chart 1: Add a trendline to data series 1
; *****************************************************************************
MsgBox(64, "Excel Chart Example Script", "Now changing chart 1 ..." & @CRLF & "Add a trendline to data series 1")
_XLChart_TrendlineSet($aExcel[1].SeriesCollection(1), 0)
If @error Then MsgBox(64, "Excel Chart Example Script", "Error " & @error & " returned by function '_XLChart_TrendlineSet' on line " & @ScriptLineNumber)

; *****************************************************************************
; Example 2
; Chart 1: Change the trendline of data series 1 from linear to polynomial
; *****************************************************************************
MsgBox(64, "Excel Chart Example Script", "Now changing chart 1 ..." & @CRLF & "Change the trendline of data series 1 from linear to polynomial")
_XLChart_TrendlineSet($aExcel[1].SeriesCollection(1), 1, $xlPolynomial)
If @error Then MsgBox(64, "Excel Chart Example Script", "Error " & @error & " returned by function '_XLChart_TrendlineSet' on line " & @ScriptLineNumber)

; *****************************************************************************
; Example 3
; Chart 1: Change the options of trendline 1 plus name of data series 1
; *****************************************************************************
MsgBox(64, "Excel Chart Example Script", "Now changing chart 1 ..." & @CRLF & "Change options and name of the trendline")
_XLChart_TrendlineSet($aExcel[1].SeriesCollection(1), 1, Default, 3, "Testtrendline")
If @error Then MsgBox(64, "Excel Chart Example Script", "Error " & @error & " returned by function '_XLChart_TrendlineSet' on line " & @ScriptLineNumber)

; *****************************************************************************
; Example 4
; Chart 1: Set Weight and color of trendline
; *****************************************************************************
MsgBox(64, "Excel Chart Example Script", "Now changing chart 1 ..." & @CRLF & "Change weight and color of the trendline")
Global $aResult = _XLChart_LineSet($aExcel[1].SeriesCollection(1).Trendlines.Item(1), 2, 0xFF0000)
If @error Then MsgBox(64, "Excel Chart Example Script", "Error " & @error & " returned by function '_XLChart_LineSet' on line " & @ScriptLineNumber)
